ListPanelConfigurations
Retrieves panel configurations using an optional filter.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of panel configurations to return. The service may return fewer than this value. If unspecified, at most 50 panel configurations will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.
A page token, received from a previous ListPanelConfigurations call.
Provide this to retrieve the subsequent page.
When paginating, all other parameters provided to ListPanelConfigurations must match
the call that provided the page token.
A Common Expression Language (CEL) filter string
Available fields to filter by are 'name', 'created_date', 'modified_date', 'is_archived', and metadata.
Metadata can be used in filters by using metadata.{metadata_key_name} as the field name.
Folder membership is filterable via the folders and activeFolders fields. Both contain the ids of the folders
the panel configuration belongs to; activeFolders excludes archived folders. Use "<folder_id>" in folders to
return panel configurations in the given folder, and size(activeFolders) == 0 to return uncategorized panel
configurations (panel configurations whose only memberships are in archived folders count as uncategorized).
For further information about how to use CELs, please refer to this guide.
How to order the retrieved panel configurations. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...".
Available fields to order_by are name.
If left empty, items are ordered by name in ascending order (alphabetical).
For more information about the format of this field, read this
Example: "name"